### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-news-ticker/ecl-news-ticker.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy` `AfterViewInit`

### Metadata

selector | `ecl-news-ticker`
templateUrl | `./ecl-news-ticker.component.html`

### Index

###### Properties
firstHiddenItem itemIndex lastHiddenItem newsTickerItems playing slidesContainer slidesTransform transitionDuration
###### Methods
nextSlide onNext onPrevious onResize previousSlide togglePlay getCssClasses
###### Inputs
class e2eAttr
###### Outputs
itemSwitch
###### HostBindings
class
###### HostListeners
window:resize
###### Accessors
cssClasses containerHeight contentHeight itemsCount

### Constructor

`constructor(renderer2: Renderer2)`
Parameters :
Name | Type | Optional
renderer2 | `Renderer2` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemSwitch
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

window:resize
Arguments : `'$event'`
`window:resize(event)`

### Methods

nextSlide
`nextSlide()`
Returns : `void`

onNext
`onNext()`
Returns : `void`

onPrevious
`onPrevious()`
Returns : `void`

onResize
`onResize(event)`
Decorators : `@HostListener('window:resize', ['$event'])`
Parameters :
Name | Optional
event | No
Returns : `void`

previousSlide
`previousSlide()`
Returns : `void`

togglePlay
`togglePlay()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

firstHiddenItem
Type : `EclNewsTickerItemComponent`
Decorators : `@ViewChild('firstHiddenItem')`

itemIndex
Type : `number`
Default value : `1`

lastHiddenItem
Type : `EclNewsTickerItemComponent`
Decorators : `@ViewChild('lastHiddenItem')`

newsTickerItems
Type : `QueryList<EclNewsTickerItemComponent>`
Decorators : `@ContentChildren(EclNewsTickerItemComponent)`

playing
Default value : `false`

slidesContainer
Type : `Element | any`
Decorators : `@coerceElement() @ViewChild('slidesContainer')`

slidesTransform
Type : `string`
Default value : `''`

transitionDuration
Type : `number`

### Accessors

cssClasses
get `cssClasses()`

containerHeight
get `containerHeight()`

contentHeight
get `contentHeight()`

itemsCount
get `itemsCount()`

# results matching ""

# No results matching ""